Skip to main content
POST
Update the Qovery Operator on a cluster

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Body

application/json
chart_version
string
required

Exact Qovery Operator Helm chart version to install.

Required string length: 1 - 128
Example:

"0.2.2"

image_version
string | null

Optional Operator image tag overriding the image target selected by q-core.

Required string length: 1 - 128
Example:

"v1.204.0"

Response

The Qovery Operator update was queued

execution_id
string
required

Identifier shared by the queued Engine execution and its infrastructure logs.

Example:

"00000000-0000-0000-0000-000000000001-0"

image_version
string
required

Operator image tag resolved for this execution.

Example:

"v1.204.0"

chart_version
string
required

Operator Helm chart version resolved for this execution.

Example:

"0.2.2"